{
    "fields": [
        {
            "doc": "Pairwise relatedness within the family. One entry per pair of samples",
            "name": "relatedness",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "Relatedness\n========================================",
                        "fields": [
                            {
                                "doc": "Sample Id of one of the samples in the pair",
                                "name": "sampleId1",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "Sample Id of the other sample in the pair",
                                "name": "sampleId2",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "Estimated proportion of autosome with 0 alleles shared",
                                "name": "ibd0",
                                "type": [
                                    "null",
                                    "double"
                                ]
                            },
                            {
                                "doc": "Estimated proportion of autosome with 1 allele shared",
                                "name": "ibd1",
                                "type": [
                                    "null",
                                    "double"
                                ]
                            },
                            {
                                "doc": "Estimated proportion of autosome with 2 alleles shared",
                                "name": "ibd2",
                                "type": [
                                    "null",
                                    "double"
                                ]
                            },
                            {
                                "doc": "Estimated overall proportion of shared autosomal DNA",
                                "name": "piHat",
                                "type": [
                                    "null",
                                    "double"
                                ]
                            }
                        ],
                        "name": "RelatednessPair",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        }
    ],
    "name": "FamilyRelatedness",
    "namespace": "org.gel.models.metrics.avro",
    "type": "record"
}